Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.id
Interface ReferentUuid

All Known Implementing Classes:
  LandlordLease

public interface ReferentUuid

Defines an interface that allows a proxy for a resource to express the identity of that resource. Resources include items like services, leases, service registrations, and lease renewal sets. Any resource that is represented by proxies that implement this interface has a unique identity. That identity is expressed by assigning the resource a universally unique identifier. This universally unique identifier will be represented using the `Uuid` class. This `Uuid` must be:

- Sufficient to uniquely identify the resource,
- associated with the resource for the resource's entire lifetime,
- never assigned to another resource who's proxies implement `ReferentUuid`, and
- returned by the `getReferentUuid` method of any proxy of the resource, if that proxy implements `ReferentUuid`.

Given two objects, `o1` and `o2`, that implement `ReferentUuid`:

- if `o1.equals(o2)` is `true`, then `o1.getReferentUuid` and `o2.getReferentUuid` should return equivalent `Uuid`s.
- if `o1.getReferentUuid` and `o2.getReferentUuid` return equivalent `Uuid`s, `o1.equals(o2)` may, but is not required to be `true`.

Since:
  2.0
See Also:
  `Uuid`

Method Summary
`Uuid` | `getReferentUuid()` Return the `Uuid` that has been assigned to the resource this proxy represents.

Method Detail

### getReferentUuid

    public Uuid getReferentUuid()

  Return the `Uuid` that has been assigned to the resource this proxy represents.

  Returns:
    the `Uuid` associated with the resource this proxy represents. Will not return `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved